#ifndef FUNCTIONS_H
#define FUNCTIONS_H
#include <stdio.h>
#include <string.h>

/*
 * Semplici esempi di funzioni 
 */

/* Somma di due interi */
int somma(int x, int y);

/* Somma di un array */
int asomma(int array[], int lunghezza); 

/* Lunghezza di una stringa */
int strlen1(char *s);

/* Inversione di una stringa */
void reverse(char *s);

#endif /* FUNCTIONS_H */
